oasis.names.tc.dss._1_0.core.schema

## Class InputDocuments

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.InputDocuments

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:23:38+02:00",
                 comments="JAXB RI v2.3.7")
      public class InputDocuments
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice maxOccurs="unbounded">
                 <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}Document"/>
                 <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}TransformedData"/>
                 <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}DocumentHash"/>
                 <element name="Other" type="{urn:oasis:names:tc:dss:1.0:core:schema}AnyType"/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputDocuments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DocumentType>` | `getDocument()` Gets the value of the document property.
    `List<DocumentHash>` | `getDocumentHash()` Gets the value of the documentHash property.
    `List<AnyType>` | `getOther()` Gets the value of the other property.
    `List<TransformedData>` | `getTransformedData()` Gets the value of the transformedData property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputDocuments

          public InputDocuments()

  - ### Method Detail

    - #### getDocument

          public List<DocumentType> getDocument()

      Gets the value of the document property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the document property.

      For example, to add a new item, do as follows:

              getDocument().add(newItem);

      Objects of the following type(s) are allowed in the list `DocumentType`

    - #### getTransformedData

          public List<TransformedData> getTransformedData()

      Gets the value of the transformedData property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transformedData property.

      For example, to add a new item, do as follows:

              getTransformedData().add(newItem);

      Objects of the following type(s) are allowed in the list `TransformedData`

    - #### getDocumentHash

          public List<DocumentHash> getDocumentHash()

      Gets the value of the documentHash property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the documentHash property.

      For example, to add a new item, do as follows:

              getDocumentHash().add(newItem);

      Objects of the following type(s) are allowed in the list `DocumentHash`

    - #### getOther

          public List<AnyType> getOther()

      Gets the value of the other property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the other property.

      For example, to add a new item, do as follows:

              getOther().add(newItem);

      Objects of the following type(s) are allowed in the list `AnyType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.